# Generated by Django 3.2.14 on 2022-12-28 06:01

from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ('accounts', '0107_auto_20220715_0743'),
        ('sales', '0018_pax8integrationsettings'),
    ]

    operations = [
        migrations.CreateModel(
            name='PAX8Product',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('crm_id', models.CharField(max_length=150)),
                ('name', models.CharField(max_length=150)),
                ('vendor_name', models.CharField(blank=True, max_length=150, null=True)),
                ('short_description', models.TextField(blank=True, null=True)),
                ('sku', models.CharField(blank=True, max_length=150, null=True)),
                ('vendor_sku', models.CharField(blank=True, max_length=150, null=True)),
                ('alt_vendor_sku', models.CharField(blank=True, max_length=150, null=True)),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='pax8_products', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
        migrations.CreateModel(
            name='PAX8ProductPricingInfo',
            fields=[
                ('id', models.AutoField(auto_created=True, primary_key=True, serialize=False, verbose_name='ID')),
                ('created_on', models.DateTimeField(auto_now_add=True)),
                ('updated_on', models.DateTimeField(auto_now=True)),
                ('pricing_data', models.JSONField(default=list)),
                ('pax8_product', models.OneToOneField(on_delete=django.db.models.deletion.CASCADE, related_name='pricing_info', to='sales.pax8product')),
                ('provider', models.ForeignKey(on_delete=django.db.models.deletion.CASCADE, related_name='+', to='accounts.provider')),
            ],
            options={
                'abstract': False,
            },
        ),
    ]
